2018-12-12 18:45 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000070Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:05
ReporterQuix0r 
Assigned ToQuix0r 
PriorityurgentSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000070: HTML nach XHTML umstellen
DescriptionMit der Revision 717 hat eine Umstellphase von HTML auf XHTML begonnen. Hier sollte weiterhin schrittweise vorgegangen werden.

Dabei sollten folgende Dinge beachtet werden:
- Alle Tags klein schreiben
- Tags, wie img,input usw. muessen selbstschliessend sein
- Als Vorgabe gilt der Validator von W3.org: http://validator.w3.org
- Hier sollten auf allen Seiten keine Fehler und/oder Warnungen kommen
- Als "Kroenung" sollte ueber die Einbindung des Gueltigkeitsbuttons nachgedacht werden.
- Die Dateien unter inc/phpmailer/ sollten nicht geaendert werden, da dies "3rd-Party" ist und somit updatefaehig bleibt.

Additional InformationValider, also sauber parsbarer HTML-Code foerdert erneut das SEO und sollte entsprechend zuegig erfolgen.

Ich habe bereits mit der Umstellung begonen. Bitte alle Aenderungen zuvor mit mir absprechen!


TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0000068closedQuix0r Auslagerung (moeglichst) aller HTML-Codes in Templates 
parent of 0000033closeduser13 Statistiken nicht zentriert 
+Relationships

-Notes

~0000205

user13

Last edited: 2010-05-28 17:23

View 2 revisions

Etliche HTML-Tags (sollten eigentlich alle Tags bis <I... sein) kleingeschrieben + ein paar html-Typos behoben.
http://www.mxchange.stelzi.net.invalid/patches/HML_lower-Fix.patch

~0000209

Quix0r (administrator)

Hab mal den unteren Hinweis eingebaut, dass die Software im Verzeichnis inc/phpmailer/ "3d-Party" ist.

Dafuer habe ich deinen Patch angepasst und baue ihn dann ein.

Wegen der Konstanten im HTML-Code, der sich im PHP-Code befindet, mache ich noch einen Hinweis in's Ticket 0000068 rein.

~0000609

Quix0r (administrator)

Auch das sollte nun langsam erledigt sein. :)

~0000650

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-08 01:36 Quix0r New Issue
2009-02-08 01:36 Quix0r Status new => assigned
2009-02-08 01:36 Quix0r Assigned To => Quix0r
2009-02-08 01:37 Quix0r Projection none => redesign
2009-02-08 01:37 Quix0r ETA none => > 1 month
2009-02-08 01:37 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-08 01:37 Quix0r Description Updated
2009-02-08 01:37 Quix0r Additional Information Updated
2009-02-08 01:38 Quix0r Relationship added parent of 0000068
2009-02-09 13:13 Quix0r Relationship added parent of 0000033
2009-02-19 11:57 user13 Note Added: 0000205
2009-02-19 15:51 Quix0r Description Updated
2009-02-19 15:51 Quix0r Additional Information Updated
2009-02-19 15:53 Quix0r Note Added: 0000209
2009-03-02 15:32 Quix0r Sticky Issue No => Yes
2009-08-06 14:03 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:03 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:51 Quix0r Product Version => 0.2.1-FINAL
2010-05-28 17:23 Quix0r Note Edited: 0000205 View Revisions
2010-06-08 01:35 Quix0r Fixed in Version 0.2.1-FINAL =>
2012-11-28 17:42 Quix0r Note Added: 0000609
2012-11-28 17:42 Quix0r Status assigned => resolved
2012-11-28 17:42 Quix0r Fixed in Version => 0.2.1-FINAL
2012-11-28 17:42 Quix0r Resolution open => fixed
2016-11-23 10:05 Quix0r Status resolved => closed
2016-11-23 10:05 Quix0r Note Added: 0000650
+Issue History